/// <summary>
        ///   Build a cicle knowing the axis that describe the center (location and direction)
        ///   and also the radius value
        /// </summary>
        public static TopoDSWire CreateWireCircle(gpAx1 centerAxis, double radius)
        {
            var centerCoord = new gpAx2 {
                Axis = (centerAxis)
            };
            var circle = new gpCirc(centerCoord, radius);

            var edge = new BRepBuilderAPIMakeEdge(circle).Edge;
            var wire = new BRepBuilderAPIMakeWire(edge).Wire;

            return(wire);
        }
 public BRepBuilderAPIMakeEdge(gpCirc L, double p1, double p2)
     :
     base(BRepBuilderAPI_MakeEdge_CtorD1F21AD1(L.Instance, p1, p2))
 {
 }
 public BRepBuilderAPIMakeEdge(gpCirc L)
     :
     base(BRepBuilderAPI_MakeEdge_Ctor727811A8(L.Instance))
 {
 }
예제 #4
0
 public void Perform(gpCirc C, gpPln P, double Tolang, double Tol)
 {
     IntAna_IntConicQuad_Perform8C72EA96(Instance, C.Instance, P.Instance, Tolang, Tol);
 }
예제 #5
0
 public IntAnaIntConicQuad(gpCirc C, gpPln P, double Tolang, double Tol)
     :
     base(IntAna_IntConicQuad_Ctor8C72EA96(C.Instance, P.Instance, Tolang, Tol))
 {
 }
예제 #6
0
 public static gpLin2d Project(gpTorus To, gpCirc Ci)
 {
     return(new gpLin2d(ProjLib_ProjectB747273A(To.Instance, Ci.Instance)));
 }
예제 #7
0
 public static gpLin2d Project(gpSphere Sp, gpCirc Ci)
 {
     return(new gpLin2d(ProjLib_Project4CF82905(Sp.Instance, Ci.Instance)));
 }
예제 #8
0
 public GeomCircle(gpCirc C)
     :
     base(Geom_Circle_Ctor727811A8(C.Instance))
 {
 }
예제 #9
0
 public static gpLin2d Project(gpCylinder Cy, gpCirc Ci)
 {
     return(new gpLin2d(ProjLib_ProjectED02D9F7(Cy.Instance, Ci.Instance)));
 }
예제 #10
0
 public static gpCirc2d Project(gpPln Pl, gpCirc C)
 {
     return(new gpCirc2d(ProjLib_Project13B7CC27(Pl.Instance, C.Instance)));
 }
예제 #11
0
 public gceMakeCirc(gpCirc Circ, gpPnt Point)
     :
     base(gce_MakeCirc_Ctor89B70D29(Circ.Instance, Point.Instance))
 {
 }
예제 #12
0
 public gceMakeCirc(gpCirc Circ, double Dist)
     :
     base(gce_MakeCirc_Ctor941DBF06(Circ.Instance, Dist))
 {
 }
 public GCMakeArcOfCircle(gpCirc Circ, gpPnt P1, gpPnt P2, bool Sense)
     :
     base(GC_MakeArcOfCircle_CtorFA26BC9F(Circ.Instance, P1.Instance, P2.Instance, Sense))
 {
 }
 public GCMakeArcOfCircle(gpCirc Circ, gpPnt P, double Alpha, bool Sense)
     :
     base(GC_MakeArcOfCircle_CtorF0177DDE(Circ.Instance, P.Instance, Alpha, Sense))
 {
 }
 public GCMakeArcOfCircle(gpCirc Circ, double Alpha1, double Alpha2, bool Sense)
     :
     base(GC_MakeArcOfCircle_CtorB4ED9646(Circ.Instance, Alpha1, Alpha2, Sense))
 {
 }
 public BRepBuilderAPIMakeEdge(gpCirc L, gpPnt P1, gpPnt P2)
     :
     base(BRepBuilderAPI_MakeEdge_CtorF9002809(L.Instance, P1.Instance, P2.Instance))
 {
 }
 public BRepBuilderAPIMakeEdge(gpCirc L, TopoDSVertex V1, TopoDSVertex V2)
     :
     base(BRepBuilderAPI_MakeEdge_CtorE5C0731B(L.Instance, V1.Instance, V2.Instance))
 {
 }
예제 #18
0
 public static gpLin2d Project(gpCone Co, gpCirc Ci)
 {
     return(new gpLin2d(ProjLib_ProjectA92F9F7D(Co.Instance, Ci.Instance)));
 }